> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Bot into an Existing Bot API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To import the bot definition file to an existing bot for a current version upgrade or previous version restoration.

You can import into a bot using either individual Definition, Config, Functions and Icon files, or you can directly use the zip file that's created while performing bot export. In this case you need to upload the zip file and use the File ID thus generated.

<Note>
  This API requires the JWT generated by an application created on the Admin Console.
</Note>

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                            |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/import`                                                                              |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Bot Definition > Bot Import                                                         |

## Query Parameters

| Parameter   | Required | Description                                                                               |
| ----------- | -------- | ----------------------------------------------------------------------------------------- |
| **`host`**  | Required | The environment URL. For example, `https://platform.kore.ai`                              |
| **`BotID`** | Required | The Bot ID or Stream ID. You can access it under **General Settings** on the App Builder. |

## Sample Request for the Universal Bot

```json theme={null}
curl -X POST \
  https://{{host}}/api/public/bot/{{BotID}}/import \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -H 'content-type: application/json' \
  -d '{
  "botDefinition" : "5bxxxxxxxxxxxxxxxxxxxxxx",
  "configInfo" : "5bxxxxxxxxxxxxxxxxxxxxxx",
  "importOptions": {
    "nlpData": [
      "training_data",
      "bot_synonyms",
      "nlpSettings",
      "defaultDialog",
      "standardResponses"
    ],
    "settings": [
      "botSettings",
      "ivrSettings",
      "botVariables",
      "genAIandLLMSettings"
    ],
    "options": {
      "utterances": {
        "append": true,
        "replace": false
      }
    },
    "customDashboard": true
  }
}'
```

## Sample Request

```json theme={null}
curl -X POST \
  https://{{host}}/api/public/bot/{{BotID}}/import \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -H 'content-type: application/json' \
  -d '{
  "botDefinition" : "5bxxxxxxxxxxxxxxxxxxxxxx",
  "configInfo" : "5bxxxxxxxxxxxxxxxxxxxxxx",
  "botFunctions":["5bxxxxxxxxxxxxxxxxxxxxxx"]
}'
```

## Body Parameters

| Parameter           | Required | Description                                                                                                                                                              |
| ------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **`botDefinition`** | Required | Bot Definition File ID.                                                                                                                                                  |
| **`configInfo`**    | Required | Bot Configuration File ID.                                                                                                                                               |
| **`botFunctions`**  | Optional | Bot functions file ID.                                                                                                                                                   |
| **`importOptions`** | Required | The system imports all bot components by default. If needed, you can specify which components to include in the import. Accepted fields: `tasks`, `nlpData`, `settings`. |
| **`options`**       | Optional | Incremental import options for the ML utterances, whether to replace or append.                                                                                          |

## Sample Response

```json theme={null}
{
    "streamRefId": "c685t327-xxxx-58xx-9xbx-33xxxxxxxxxx",
    "statusLogs": [
        {
            "taskType": "importRequest",
            "taskName": "Sample Task",
            "status": "success"
        }
    ],
    "createdBy": "u-3xxxxxxx-axxe-5bxx-bxxb-8xxxxxxxxxxx",
    "requestType": "Botimport",
    "_id": "bir-00bxxxxx-7xx2-5xxx-bxxx-79xxxxxxxxxx",
    "status": "pending",
    "createdOn": "2018-12-05T07:40:51.956Z",
    "__v": 0
}
```
